<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <DBAccessibleFromOPCUA>false</DBAccessibleFromOPCUA>
      <DBAccessibleFromWebserver>false</DBAccessibleFromWebserver>
      <InstanceOfName>ReadSessionDiagnostics</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="sessionNameSubstring" Datatype="String">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="nodeIdExtension" Datatype="WString">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="read" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="enable" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
  <Section Name="Output">
    <Member Name="done" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="busy" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="error" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="status" Datatype="DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="sessionsFound" Datatype="UInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
  <Section Name="InOut">
    <Member Name="readValue" Datatype="Variant" />
  </Section>
  <Section Name="Static">
    <Member Name="statRead" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statReadHandled" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statREQ1" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statREQ2" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statSessionsFound" Datatype="UInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statSessionIdentifier" Datatype="WString">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statState" Datatype="USInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statDone" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statError" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statStatus" Datatype="DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statBusy" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statConnectionHdl" Datatype="DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeCount1" Datatype="UInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeIds1" Datatype="Array[0..0] of OPC_UA_NodeId" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeStatusList1" Datatype="Array[0..0] of DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statTimeStamps1" Datatype="Array[0..0] of LDT">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statVariable1" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="SessionDiagnosticsArray" Datatype="Array[0..&quot;SESSIONS_UPPERBOUND&quot;] of &quot;typeSessionDiagnostics&quot;" />
    </Member>
    <Member Name="statNodeCount2" Datatype="UInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeIds2" Datatype="Array[0..0] of OPC_UA_NodeId" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statNodeStatusList2" Datatype="Array[0..0] of DWord">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statTimeStamps2" Datatype="Array[0..0] of LDT">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="statVariable2SessionDiagnostics" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="&quot;typeSessionDiagnostics&quot;" />
    </Member>
    <Member Name="statVariable2ServiceCounter" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="&quot;typeServiceCounter&quot;" />
    </Member>
    <Member Name="statVariable2UDInt" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="UDInt" />
    </Member>
    <Member Name="statVariable2LDT" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="LDT" />
    </Member>
    <Member Name="statVariable2LReal" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="LReal" />
    </Member>
    <Member Name="statVariable2Array05String" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="Array[0..5] of String" />
    </Member>
    <Member Name="statVariable2String" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="String" />
    </Member>
    <Member Name="statVariable2ApplicationDescription" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="&quot;typeApplicationDescription&quot;" />
    </Member>
    <Member Name="statVariable2OpcUaNodeId" Datatype="Struct">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Value" Datatype="OPC_UA_NodeId" Version="1.0" />
    </Member>
    <Member Name="instOpcUaReadList1" Datatype="OPC_UA_ReadList" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="instOpcUaReadList2" Datatype="OPC_UA_ReadList" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
</Sections></Interface>
      <Name>InstReadSessionDiagnostics</Name>
      <Namespace />
      <Number>80</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>